
From: Johannes Stezenbach <js@linuxtv.org>

Fix http://bugme.osdl.org/show_bug.cgi?id=4395.

Patch by Manu Abraham and Gerd Knorr:

Remove redundant bttv_reset_audio() which caused the computer to freeze
with some bt8xx based DVB cards when loading the bttv driver.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-cards.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/media/video/bttv-cards.c~fix-bug-4395-modprobe-bttv-freezes-the-computer drivers/media/video/bttv-cards.c
--- 25/drivers/media/video/bttv-cards.c~fix-bug-4395-modprobe-bttv-freezes-the-computer	2005-04-06 01:26:36.000000000 -0700
+++ 25-akpm/drivers/media/video/bttv-cards.c	2005-04-06 01:26:36.000000000 -0700
@@ -2785,8 +2785,6 @@ void __devinit bttv_init_card2(struct bt
         }
 	btv->pll.pll_current = -1;
 
-	bttv_reset_audio(btv);
-
 	/* tuner configuration (from card list / autodetect / insmod option) */
  	if (UNSET != bttv_tvcards[btv->c.type].tuner_type)
 		if(UNSET == btv->tuner_type)
_
